Page MenuHomePhabricator

Requesting access to analytics-privatedata-users for DLynch
Closed, ResolvedPublicRequest

Description

Username: kemayo
Full name: David Lynch

My public key is here: P8708

I need to run Analytics queries, and T224029 assures me that this access is thus required. I specifically need access to analytics-privatedata-users

Details

Related Gerrit Patches:

Event Timeline

DLynch created this task.Jul 3 2019, 3:16 PM
Restricted Application added a project: Operations. · View Herald TranscriptJul 3 2019, 3:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MoritzMuehlenhoff triaged this task as Medium priority.Jul 4 2019, 11:02 AM

Hi David, this needs to be signed off by your manager, can you please ask him/her to confirm on this task?

I am David's manager and I confirm his business need for this access. Thank you!

Nuria added a comment.Jul 8 2019, 4:37 PM

@DLynch For the record: are you a permanent employee of the foundations and thus have a NDA on file?

have you read? https://office.wikimedia.org/wiki/Data_access_guidelines

@DLynch Could you please look at @Nuria's comment above ? Thank you.

@Nuria I am indeed a permanent employee of the foundation, and believe that I have a NDA on file.

(Sorry, I was taking some vacation last week, and missed the question.)

Nuria added a comment.Jul 25 2019, 3:51 PM

+1 to access. Please read throughly: https://office.wikimedia.org/wiki/Data_access_guidelines what is the data @DLynch is interested on?

Nuria added a comment.Jul 25 2019, 3:54 PM

Also, does @DLynch have shell access set up to [production, see my question on: https://phabricator.wikimedia.org/T224029

I'm interested mainly in analytics data logged in relation to Editing products (the EditAttemptStep and VisualEditorFeatureUse schemas).

I do not currently have production shell access.

Nuria added a comment.Jul 25 2019, 4:08 PM

@DLynch Ok, you need to get shell access to prod before this access is granted, let us know when that is done.

DLynch added a comment.EditedJul 25 2019, 4:16 PM

So, as far as I know, we're currently talking on a ticket which was created through all the "new users" steps stated on the request-shell-access document, and as far as I knew what I was doing here was requesting new production shell access with access to the analytics-privatedata-users group. Did I need to instead make two separate tickets for this? If so, it's not very clear in the documentation.

EDIT: Sorry, or are multiple people acting on this ticket simultaneously? I don't really know the process involved here. 😁

JTannerWMF moved this task from Incoming to In progress on the VisualEditor (Current work) board.
JTannerWMF added a subscriber: JTannerWMF.

I am putting this on the Visual Editor board to keep an eye on progress.

Nuria added a comment.Jul 25 2019, 5:08 PM

@DLynch Sorry the process is not more clear, requesting production access is a pre-requirement to get access to data, tickets for that type of access are filed per user: https://wikitech.wikimedia.org/wiki/Production_shell_access

After shell access is granted you can file access for analytics systems (which are a subset of production) . This is the document that explains the process, please improve: https://wikitech.wikimedia.org/wiki/Analytics/Data_access

UI tools such us turnilo do not require production shell access (they are used by many others besides developers) , to get access you just need to be an employee with an nda on file: https://wikitech.wikimedia.org/wiki/Analytics/Systems/Turnilo-Pivot#Access

Change 525601 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: create kemayo shell acct, add to analytics-privatedata-users

https://gerrit.wikimedia.org/r/525601

Nuria added a comment.Jul 25 2019, 5:32 PM

So, as far as I know, we're currently talking on a ticket which was created through all the "new users" steps stated on the request-shell-access document

Let's see, not really, per https://wikitech.wikimedia.org/wiki/Production_shell_access there is a lot missing in the ticket you reference, normally tickets are filed per user, as you need to include your public key, also needs to be tagged with SRE-Access-Requests , please take a second look, not sure if there might be yet another ticket where ssh keys were set up but it doesn't look like it

Change 525601 merged by Herron:
[operations/puppet@production] admin: create kemayo shell acct, add to analytics-privatedata-users

https://gerrit.wikimedia.org/r/525601

herron closed this task as Resolved.Jul 25 2019, 6:49 PM
herron claimed this task.

Hi David, the requested access has been provisioned. I'll transition this to resolved now as a soft close. Please don't hesitate to re-open if any follow-up is needed. Thanks!